'use strict';

// Need to use var, let or const keyword when assigning variables
// var id = 1; // Correct
// title = "Hello JS!";  // Causes error

// Silently failing statements now throw an error
// var Infinity = 10;
// console.log( Infinity );


// Cannot delete object properties when property descriptor configurable is set to false.
// var post = {
//   title: 'Hello JS'
// }
//
// Object.defineProperty(
//   post,
//   'id',
//   {
//     value: 1, // Value of the new object
//     enumerable: true, // shows when logged
//     configurable: false, // propery deletable
//     writable: false // changable by assignment
//   }
// );
//
// post.id = 10;
// delete post.id;
// console.log( post );


// // ID will not show up for enumerable
// for( let prop in post ) {
//   console.log( prop + ': ' + post[prop] );
// }



// No duplicate parameter names

// function featuredPostsList( id, id, id ) {
//   console.log( id, id, id );
// }
//
// featuredPostsList( 1, 10, 22 );


// "Sixth, strict mode in ECMAScript 5 forbids octal syntax. Octal syntax isn't part of ECMAScript 5, but it's supported in all browsers by prefixing the octal number with a zero: 0644 === 420 and "\045" === "%". In ECMAScript 2015 Octal number is supported by prefixing a number with "0o". i.e."

// var validId = 0o10; // Begins w 0 or 0o
// var invalidId = 010; // Throws error in strict mode
// console.log( validId, invalidId );


// Cannot refer to window object via this in strict mode
//
// function logThis() {
//
//   console.log( this );
//
// }
// logThis();
